"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOvermindSSR = createOvermindSSR;
const tslib_1 = require("tslib");
const Overmind_1 = require("./Overmind");
const utils = tslib_1.__importStar(require("./utils"));
function createOvermindSSR(config) {
    const ssr = new Overmind_1.Overmind(config, {
        devtools: false,
    }, {
        mode: utils.MODE_SSR,
    });
    const mutationTree = ssr.proxyStateTreeInstance.getMutationTree();
    ssr.state = mutationTree.state;
    ssr.hydrate = () => {
        return mutationTree.flush().mutations;
    };
    return ssr;
}
//# sourceMappingURL=OvermindSSR.js.map